package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 民间借贷
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
@TableName("private_lending")
public class PrivateLending {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * c端 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * sop端 裁判文书信息id
     */
    @TableField("c_judgment_documents_id")
    private Long cJudgmentDocumentsId;

    /**
     * 文书标题
     */
    @TableField("case_name")
    private String caseName;

    /**
     * 案由
     */
    @TableField("case_reason")
    private String caseReason;

    /**
     * 案号
     */
    @TableField("case_No")
    private String caseNo;

    /**
     * 案件金额（元）
     */
    @TableField("amount")
    private String amount;

    /**
     * 裁判结果
     */
    @TableField("judge_result")
    private String judgeResult;

    /**
     * 裁判日期
     */
    @TableField("judge_date")
    private String judgeDate;

    /**
     * 当事人
     */
    @TableField("personName")
    private String personName;

    /**
     * 发布日期
     */
    @TableField("publish_date")
    private String publishDate;

    /**
     * 是否民间借贷调整 0 否 1 是
     */
    @TableField("private_lending")
    private Integer privateLending;

    /**
     * 视频尽调-是否民间借贷调整 0 否 1 是
     */
    @TableField("video_due_diligence_private_lending")
    private Integer videoDueDiligencePrivateLending;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }
    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public Long getcJudgmentDocumentsId() {
        return cJudgmentDocumentsId;
    }

    public void setcJudgmentDocumentsId(Long cJudgmentDocumentsId) {
        this.cJudgmentDocumentsId = cJudgmentDocumentsId;
    }
    public String getCaseName() {
        return caseName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }
    public String getCaseReason() {
        return caseReason;
    }

    public void setCaseReason(String caseReason) {
        this.caseReason = caseReason;
    }
    public String getCaseNo() {
        return caseNo;
    }

    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }
    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }
    public String getJudgeResult() {
        return judgeResult;
    }

    public void setJudgeResult(String judgeResult) {
        this.judgeResult = judgeResult;
    }
    public String getJudgeDate() {
        return judgeDate;
    }

    public void setJudgeDate(String judgeDate) {
        this.judgeDate = judgeDate;
    }
    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }
    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }
    public Integer getPrivateLending() {
        return privateLending;
    }

    public void setPrivateLending(Integer privateLending) {
        this.privateLending = privateLending;
    }
    public Integer getVideoDueDiligencePrivateLending() {
        return videoDueDiligencePrivateLending;
    }

    public void setVideoDueDiligencePrivateLending(Integer videoDueDiligencePrivateLending) {
        this.videoDueDiligencePrivateLending = videoDueDiligencePrivateLending;
    }

    @Override
    public String toString() {
        return "PrivateLending{" +
            "cSupplierInfoId=" + cSupplierInfoId +
            ", cEnterpriseId=" + cEnterpriseId +
            ", cJudgmentDocumentsId=" + cJudgmentDocumentsId +
            ", caseName=" + caseName +
            ", caseReason=" + caseReason +
            ", caseNo=" + caseNo +
            ", amount=" + amount +
            ", judgeResult=" + judgeResult +
            ", judgeDate=" + judgeDate +
            ", personName=" + personName +
            ", publishDate=" + publishDate +
            ", privateLending=" + privateLending +
            ", videoDueDiligencePrivateLending=" + videoDueDiligencePrivateLending +
        "}";
    }
}
